task spladder_merge {
    String sample_id
    File bam
    File pickle
    File reference_gtf_file
    

    String docker
    String cluster
    String disk_size

    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/spladder_out/spladder
                  
        ls ${bam} | grep bam$ > alignment.txt
        ls ${bam} | grep bai$  alignment_bai.txt
        ln -s ${pickle}/*.pickle ${sample_id}/spladder_out/spladder/
        ls ${sample_id}/spladder_out/spladder/ >> pickle.txt
		
		# spladder build -o ${sample_id}/spladder_out \
        #   --annotation ${reference_gtf_file} \
        #   --bams alignment.txt \
        #   --confidence 2 \
        #   --merge-strat merge_graphs \
        #   --validate-sg \
        #   --readlen 150 \
        #   --parallel 4 \
        #   --event-types exon_skip,intron_retention,alt_3prime,alt_5prime,mutex_exons,mult_exon_skip
          
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 500"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
        timeout: 259200
    }

    output {
        File fileList = "fileList.txt"
        File alignment = "alignment.txt"
        File alignment_bai = "alignment_bai.txt"
        File pickle_txt = "pickle.txt"
    }
}